<mat-toolbar>Ingrese los Signos Vitales</mat-toolbar>

<form class="example-container" [formGroup]="form" (ngSubmit)="registrar()" #signoVitalesForm="ngForm">

   <div [hidden]="true">
      <mat-form-field class="example-full-width">
          <input matInput placeholder="ID" required formControlName="id">
      </mat-form-field>
  </div>
  <mat-form-field>
 <input type="text" placeholder="Paciente" matInput [matAutocomplete]="autoPaciente"
       [formControl]="myControlPaciente" formControlName="paciente">
</mat-form-field>
<mat-autocomplete #autoPaciente="matAutocomplete" [displayWith]="mostrarPaciente" 
   (optionSelected)="seleccionarPaciente($event)">
   <mat-option *ngFor="let p of pacientesFiltrados | async" [value]="p">
       {{ p.nombres }} {{p.apellidos}}
   </mat-option>
</mat-autocomplete>


  <mat-form-field>
   <input matInput [matDatepicker]="picker" placeholder="Escoge una fecha" [max]="maxFecha"
       formControlName="fechaRegistro" [(ngModel)]="fechaRegistro">
   <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
   <mat-datepicker #picker></mat-datepicker>
</mat-form-field>

<mat-form-field>
   <input matInput placeholder="temperatura" [(ngModel)]="temperatura" formControlName="temperatura">
</mat-form-field>

<mat-form-field>
   <input matInput placeholder="pulso" [(ngModel)]="pulso" formControlName="pulso">
</mat-form-field>

<mat-form-field>
   <input matInput placeholder="ritmoRespiratorio" [(ngModel)]="ritmoRespiratorio" formControlName="ritmoRespiratorio">
</mat-form-field>

<button mat-raised-button color="primary" type="submit" >
   <mat-icon>done</mat-icon>
   <span>Aceptar</span>
</button>

<button mat-raised-button color="accent" routerLink='/signo-vitales' type="button">
   <mat-icon>close</mat-icon>
   <span>Cancelar</span>
</button>

</form>